# Class RepaintManager

java.lang.Object
org.jmol.render.RepaintManager

All Implemented Interfaces:
  `JmolRepaintManager`

public class RepaintManager extends Object implements JmolRepaintManager

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`holdRepaint`
//////// thread management ///////////

## Constructor Summary

Constructors
Constructor
Description
`RepaintManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear(int iShape)`
//////// renderer management ///////////
`boolean`
`isRepaintPending()`
`void`
`popHoldRepaint(boolean andRepaint, String why)`
`void`
`pushHoldRepaint(String why)`
`void`
`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
//////// actual rendering ///////////
`String`
`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`
`void`
`repaintDone()`
`boolean`
`repaintIfReady(String why)`
`void`
`requestRepaintAndWait(String why)`
`void`
`set(Viewer vwr, ShapeManager shapeManager)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### holdRepaint

public int holdRepaint
//////// thread management ///////////

## Constructor Details

### RepaintManager

public RepaintManager()

## Method Details

### set

public void set(Viewer vwr, ShapeManager shapeManager)

Specified by:
  `set` in interface `JmolRepaintManager`

### isRepaintPending

public boolean isRepaintPending()

Specified by:
  `isRepaintPending` in interface `JmolRepaintManager`

### pushHoldRepaint

public void pushHoldRepaint(String why)

Specified by:
  `pushHoldRepaint` in interface `JmolRepaintManager`

### popHoldRepaint

public void popHoldRepaint(boolean andRepaint, String why)

Specified by:
  `popHoldRepaint` in interface `JmolRepaintManager`

### requestRepaintAndWait

public void requestRepaintAndWait(String why)

Specified by:
  `requestRepaintAndWait` in interface `JmolRepaintManager`

### repaintIfReady

public boolean repaintIfReady(String why)

Specified by:
  `repaintIfReady` in interface `JmolRepaintManager`

### repaintDone

public void repaintDone()

Specified by:
  `repaintDone` in interface `JmolRepaintManager`

### clear

public void clear(int iShape)
//////// renderer management ///////////

Specified by:
  `clear` in interface `JmolRepaintManager`

### render

public void render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)
//////// actual rendering ///////////

Specified by:
  `render` in interface `JmolRepaintManager`

### renderExport

public String renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)

Specified by:
  `renderExport` in interface `JmolRepaintManager`